Skip to main content
POST
https://finsync.ar
/
api
/
accounts
/
{id}
/
manual-balance
Apply a manual balance adjustment
curl --request POST \
  --url https://finsync.ar/api/accounts/{id}/manual-balance \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "balance": 123,
  "adjustment": 123
}
'
{
  "account_id": 123,
  "balance_before": 123,
  "balance_after": 123,
  "adjustment": 123
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

id
integer
required

Account ID to adjust

Body

application/json

Provide either balance or adjustment (not both)

balance
number

New absolute balance for the account

adjustment
number

Balance delta to apply (positive or negative)

Response

Balance updated successfully

account_id
integer
balance_before
number
balance_after
number
adjustment
number